Subject: Re: Out-of-tree mwlwifi driver crashes

From: Thomas Petazzoni <[email-masked]>
Date: Tue, 29 Jan 2019 15:59:13 +0100

Hello Leigh,

On Tue, 29 Jan 2019 13:47:38 +0000
Leigh Brown <[email-masked]> wrote:

> The following commit causes the out-of-tree mwlwifi driver [1] to crash, 
> which
> I have found with git bisect.
> 
> commit 1f08673eef1236f7d02d93fcf596bb8531ef0d12
> Author: Thomas Petazzoni <[email-masked]>
> Date:   Thu Oct 18 17:37:18 2018 +0200
> 
>      PCI: mvebu: Convert to PCI emulated bridge config space
> 
>      Convert the pci-mvebu driver to use the pci-bridge-emul logic, that
>      helps emulating a root port PCI bridge configuration space.
> 
>      Signed-off-by: Thomas Petazzoni <[email-masked]>
>      [[email-masked]: updated commit log]
>      Signed-off-by: Lorenzo Pieralisi <[email-masked]>
> 
> I have raised the issue with the driver maintainers but they responded 
> that
> this is a kernel regression [2].
> 
> Do you think this is a driver issue or a regression? I am happy to test 
> proposed
> fixes but I don't understand enough about the driver or PCI to 
> investigate.
> 
> If I revert that single commit, the issue goes away.

Thanks a lot for this report. This is the second report related to this
commit. I already started investigating, but didn't dedicate enough
time to find a proper fix yet.

Could you share the output of "lspci -vvv -xxx" with the commit applied
and reverted ?

Thanks!

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel